Skip to main content
POST
Create an open banking payment link

Authorizations

X-API-Key
string
header
required

API Key

Headers

IDEMPOTENCY-KEY
string
required

a UUID ensuring an Autoramp operation is only processed once

X-API-Version
string

Selects the API version for this request, as an ISO date (YYYY-MM-DD). Omit to use the default version (2025-03-13). Supported versions: 2025-03-13, 2026-07-01.

Path Parameters

autoramp_id
string<uuid>
required

The autoramp ID

Body

application/json; charset=utf-8

Open banking payment parameters

Create Autoramp Payment Link Payload

The parameters for creating an autoramp payment link

amount_in
Amount · object
required

An amount of money

Example:
callback_url
string
required

Response

Create autoramp successful

Autoramp Open Banking Payment with link to initiate flow

One payment attempt against a provider for an autoramp's open-banking flow.

id
string
required

The provider's payment ID (e.g. tokenio's payment ID). Use this with the GET-by-id endpoint to look up the latest status.

iron_payment_id
string<uuid>
required

Iron's internal identifier for this open banking payment. Use this as the pagination cursor when listing payments.

status
enum<string>
required

Autoramp Payment Link Status

The status of the autoramp payment link

Available options:
Pending,
Ready,
Processing,
Completed,
Failed
settlement_status
enum<string>
Available options:
InProgress,
Completed,
Incomplete